(* tag: Category of small sets *)

(** * Category of small sets *)

Require cat_.

Module Small_Set_.

Section Small_Set.

Local Obj : Type := Type.
Local Mor [A,B:Obj] : Type := A->B.
(* !!!
Local Mor [A,B:Type] : Type := A->B.
*)

Definition Small_Set : Cat_.Cat.
Proof.
  Split with (Cat_.Build_Cat_Data 2!Mor
   [A,B,C:Type; g:B->C; f:A->B; x:A](g (f x))
   [A:Type; x:A]x).
  Abstract Split; Unfold Mor; Simpl; Auto.
Defined.

End Small_Set.

End Small_Set_.

